Name:           urbanlightscape
Version:        1.4.0
Release:        %mkrel 1
Summary:        Utility for localized exposure correction
Group:          Graphics
License:        GPLv2+
Url:            http://www.indii.org/software/urbanlightscape
Source0:        http://www.indii.org/files/urbanlightscape/releases/%{name}-%{version}.tar.xz
Source1:        http://www.indii.org/images/%{name}_128.png
BuildRequires:  bc
BuildRequires:  boost-devel
BuildRequires:  imagemagick
BuildRequires:  libgomp-devel
BuildRequires:  lib64wxgtku3.1-devel

%description
Use Urban Lightscape for exposure correction, localized brightness
adjustments and the introduction of artificial lighting to a photo.
By placing control points on the photo, you are able to lighten or
darken (dodge or burn) at these points, with Urban Lightscape
cleverly interpolating between these points to infill adjustments
across the entire photo.

%prep
%setup -q

%build
# The added CXXFLAGS are suggested in the README file
%ifarch x86_64
%define upstream_flags -msse2 -O3 -g3
%else
%define upstream_flags -msse -O3 -g3
%endif
%configure2_5x CXXFLAGS="${CXXFLAGS} %{upstream_flags}"
%make_build

%install
%make_install

# Icon
install -Dm 644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

# Menu entry
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=Urban Lightscape
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Categories=Graphics;Photography;
EOF

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.htb
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.png


%changelog
* Fri Oct 25 2019 tex - 1.4.0-1pclos2019
- Version 1.4.0
